#ifndef NAME_H_
#define NAME_H_

#include <iostream>
#include "../core/Quantity.h"
#include <string>

namespace cosi {

class Name : public StringQuantity {
public:

	Name();

	Name(std::string pName);

	Name Get() const;

	void Set(Name pName);

	bool operator==(Name pName);

	bool operator<(const Name &pN) const ;


	const Name operator+(const Name &pT) const;

	const Name operator-(const Name &pT) const;

	friend std::ostream& operator <<(std::ostream &pOS, const Name &pN);

	static std::string sQuantityName;

};

}

#endif /*NAME_H_*/
